<template>
	<view>
		<!-- <view class="pagebg">
			<image src="../static/baoming.png"></image>
			<view class="content">
				<view class="box">
					<view>
						<view class="text-bold" style="color: #333333;">您的姓名</view>
						<view class="inutline">
							<u-input v-model="form.applyName" type="text" placeholder="请输入真实姓名"
								inputAlign="text-align:left" />
						</view>
					</view>
					<view class="margin-top">
						<view class="text-bold" style="color: #333333;">您的年龄</view>
						<view class="inutline">
							<u-input v-model="form.applyAge" type="text" placeholder="请输入年龄"
								inputAlign="text-align:left" />
						</view>
					</view>
					<view class="margin-top">
						<view class="text-bold" style="color: #333333;">联系电话</view>
						<view class="inutline">
							<u-input v-model="form.applyPhone" type="text" placeholder="请输入联系电话"
								inputAlign="text-align:left" />
						</view>
					</view>
					<view class="margin-top">
						<view class="text-bold" style="color: #333333;">报考类型</view>
						<view class="">
							<u-input v-model="form.applyContent" type="text" placeholder="请输入报考证书"
								inputAlign="text-align:left" />
						</view>
					</view>
				</view>

				<view v-if="form.status==3&&form.auditContent">拒绝理由:{{form.auditContent}}</view>

				<view class="btn" v-if="form.status==1||form.status==3" @click="submit()">修改报名</view>
				<view class="btn" v-else @click="submit()">提交报名</view>
			</view>
		</view> -->
		<view class="bgs">
			<image style="width: 60%;"
				src="https://zhaopin.xianmaxiong.com/file/uploadPath/2022/09/06/4757ddfde840c4a6a9ce9e937b571d83.png"
				mode="widthFix"></image>
			<view class="" style="width: 100%;text-align: center;margin-top: 20rpx;font-weight: bold;">
				功能开发中 敬请期待
			</view>
		</view>


	</view>
</template>

<script>
	export default {
		data() {
			return {
				form: {
					applyName: '',
					applyPhone: '',
					applyAge: '',
					applyContent: '',
					classify: 4
				},
				userId: '',

			}
		},
		onLoad() {
			// this.userId = uni.getStorageSync('userId')
			// if(this.userId){
			// 	this.getDetails()
			// }

		},
		onShow() {

		},
		methods: {
			getDetails() {
				let data = {
					classify: 4
				}
				this.$Request.get('/app/apply/selectApplyByUserIdAndClassify', data).then(res => {
					if (res.code == 0 && res.data) {
						this.form = res.data
					}
				})
			},
			submit() {
				if (this.userId == '') {
					uni.showModal({
						title: '提示',
						content: '您还未登录,请先登录',
						confirmColor:'#016BF6',
						success: function(res) {
							if (res.confirm) {
								console.log('用户点击确定');
								uni.navigateTo({
									url: '/pages/public/login'
								})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					})
					return
				}
				if (!this.form.applyName) {
					uni.showToast({
						title: '请输入真实姓名',
						icon: 'none',
						duration: 1000
					})
					return;
				}
				if (!this.form.applyAge) {
					uni.showToast({
						title: '请输入年龄',
						icon: 'none',
						duration: 1000
					})
					return;
				}
				if (!this.form.applyPhone) {
					uni.showToast({
						title: '请输入联系电话',
						icon: 'none',
						duration: 1000
					})
					return;
				}
				if (!this.form.applyContent) {
					uni.showToast({
						title: '请输入报考证书',
						icon: 'none',
						duration: 1000
					})
					return;
				}
				if (this.form.status == 1 || this.form.status == 3) {
					this.$Request.postJson('/app/apply/updateApply', this.form).then(res => {
						if (res.code == 0) {
							uni.showToast({
								title: '报名修改成功！',
								icon: 'none'
							})
							setTimeout(function() {
								uni.navigateBack()
							}, 1000)
						}
					})
				} else {
					this.$Request.postJson('/app/apply/insertApply', this.form).then(res => {
						if (res.code == 0) {
							uni.showToast({
								title: '报名提交成功！',
								icon: 'none'
							})
							setTimeout(function() {
								uni.navigateBack()
							}, 1000)
						}
					})
				}


			}
		}
	}
</script>

<style lang="less">
	page {
		background-color: #F7F7F7;
	}

	.bgs {
		width: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
		// margin-top: 20vh;
		flex-wrap: wrap;
		position: fixed;
		top: 50%;
		left: 50%;
		transform: translate(-50%,-70%);
	}

	.pagebg {
		width: 100%;
		height: 95vh;
	}

	.pagebg image {
		width: 100%;
		height: 100%;
	}

	.content {
		position: absolute;
		/* #ifndef H5 */
		top: 245px;
		/* #endif */
		/* #ifdef H5 */
		top: 250px;
		/* #endif */
		left: 0;
		right: 0;
		z-index: 99;
		margin: 0upx 30upx;
	}

	.box {


		background: #FFFFFF;
		border: 4upx solid #000000;
		border-radius: 20upx;
		padding: 30upx;
	}

	.inutline {

		border-bottom: 1rpx solid #E9E9E9;
	}

	.btn {
		background: #FFFFFF;
		border-radius: 10upx;
		text-align: center;
		margin-top: 30upx;
		padding: 30upx;
		color: #000000;
		font-weight: bold;
		letter-spacing: 2rpx;
	}
</style>
